Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.synchronization
Class SessionCacheCleaner

    java.lang.Object
      org.hibernate.envers.synchronization.SessionCacheCleaner

    public class SessionCacheCleaner

extends Object

Class responsible for evicting audit data entries that have been stored in the session level cache. This operation increases Envers performance in case of massive entity updates without clearing persistence context.

Constructor Summary
`SessionCacheCleaner()`

Method Summary
`void` | `scheduleAuditDataRemoval(Session session, Object data)` Schedules audit data removal from session level cache after transaction completion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionCacheCleaner

    public SessionCacheCleaner()

Method Detail

### scheduleAuditDataRemoval

    public void scheduleAuditDataRemoval(Session session,
                                         Object data)

  Schedules audit data removal from session level cache after transaction completion. The operation is performed regardless of commit success.

  Parameters:
    `session` - Active Hibernate session.
    `data` - Audit data that shall be evicted (e.g. revision data or entity snapshot)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.